// Bu program  JEditorPane kullanarak
// bir Web sayfasını ekranda göstermektedir.
import java.awt.*;
import java.awt.event.*;
import java.net.*;
import java.io.*;
import javax.swing.*;
import javax.swing.event.*;

public class InternetDosyaOku extends JFrame {
   private JTextField gir;
   private JEditorPane contents;

   public InternetDosyaOku()
   {
      super( "Java Programlama Dili WEB browser" );

      Container c = getContentPane();

      gir = new JTextField( "Ulasmak istediginiz adresi buraya yaziniz : " );
      gir.addActionListener(
         new ActionListener() {
            public void actionPerformed( ActionEvent e )
            {
               getThePage( e.getActionCommand() );
            }
         }
      );
      c.add( gir, BorderLayout.NORTH );

      contents = new JEditorPane();
      contents.setEditable( false );
      contents.addHyperlinkListener(
         new HyperlinkListener() {
            public void hyperlinkUpdate( HyperlinkEvent e )
            {
               if ( e.getEventType() ==
                    HyperlinkEvent.EventType.ACTIVATED )
                  getThePage( e.getURL().toString() );
            }
         }
      );
      c.add( new JScrollPane( contents ),
             BorderLayout.CENTER );

      setSize( 400, 300 );
      show();
   }

   private void getThePage( String adres )
   {
      setCursor( Cursor.getPredefinedCursor(
                    Cursor.WAIT_CURSOR ) );

      try {
         contents.setPage( adres );
         gir.setText( adres );
      }
      catch ( IOException io ) {
         JOptionPane.showMessageDialog( this,
            "internet URL adresine erisilemedi",
            "URL adresinde hata var",
            JOptionPane.ERROR_MESSAGE );
      }

      setCursor( Cursor.getPredefinedCursor(
                    Cursor.DEFAULT_CURSOR ) );
   }

   public static void main( String args[] )
   {
      InternetDosyaOku dosya = new InternetDosyaOku();

      dosya.addWindowListener(
         new WindowAdapter() {
            public void windowClosing( WindowEvent e )
            {
               System.exit( 0 );
            }
         }
      );
   }
}